import { OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import 'rxjs/add/operator/filter';
export declare class NavTitle {
    label: string;
    url: string;
}
export declare class NavTitleComponent implements OnInit {
    private route;
    private router;
    separator: string;
    dataParam: string;
    titles: NavTitle[];
    constructor(route: ActivatedRoute, router: Router);
    ngOnInit(): void;
    private getLastChildRoute(activatedSnapshot);
    private _isPropagatedData(childRoute, parentRoute);
    private getNavTitles(activatedSnapshot);
}
